Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
Java Object (H5O) Interface

## Detailed Description

See also
  Objects (H5O), C-API
  HDF5 Objects, User Guide

## Functions
static synchronized native boolean | H5Oare_mdc_flushes_disabled (long object_id)
static int | H5Oclose (long object_id) throws HDF5LibraryException
static synchronized native void | H5Ocopy (long src_loc_id, String src_name, long dst_loc_id, String dst_name, long ocpypl_id, long lcpl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Odecr_refcount (long object_id) throws HDF5LibraryException
static synchronized native void | H5Odisable_mdc_flushes (long object_id)
static synchronized native void | H5Oenable_mdc_flushes (long object_id)
static synchronized native boolean | H5Oexists_by_name (long loc_id, String obj_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Oflush (long object_id) throws HDF5LibraryException
static synchronized native String | H5Oget_comment (long obj_id) throws HDF5LibraryException, IllegalArgumentException
static synchronized native String | H5Oget_comment_by_name (long loc_id, String name, long lapl_id) throws HDF5LibraryException, IllegalArgumentException, NullPointerException
static H5O_info_t | H5Oget_info (long loc_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_info_t | H5Oget_info (long loc_id, int fields) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_info_t | H5Oget_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_info_t | H5Oget_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_info_t | H5Oget_info_by_name (long loc_id, String name, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_info_t | H5Oget_info_by_name (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_native_info_t | H5Oget_native_info (long loc_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_native_info_t | H5Oget_native_info (long loc_id, int fields) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_native_info_t | H5Oget_native_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_native_info_t | H5Oget_native_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_native_info_t | H5Oget_native_info_by_name (long loc_id, String name, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_native_info_t | H5Oget_native_info_by_name (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Oincr_refcount (long object_id) throws HDF5LibraryException
static synchronized native void | H5Olink (long obj_id, long new_loc_id, String new_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Oopen (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Oopen_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Oopen_by_token (long loc_id, H5O_token_t token) throws HDF5LibraryException
static synchronized native void | H5Orefresh (long object_id) throws HDF5LibraryException
static synchronized native void | H5Oset_comment (long obj_id, String comment) throws HDF5LibraryException
static synchronized native void | H5Oset_comment_by_name (long loc_id, String name, String comment, long lapl_id) throws HDF5LibraryException, NullPointerException
static int | H5Ovisit (long obj_id, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Ovisit (long obj_id, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data, int fields) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Ovisit_by_name (long loc_id, String obj_name, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static int | H5Ovisit_by_name (long loc_id, String obj_name, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data, long lapl_id) throws HDF5LibraryException, NullPointerException

## Function Documentation

## ◆ H5Oare_mdc_flushes_disabled()

synchronized native boolean H5Oare_mdc_flushes_disabled | ( | long | object_id | ) |
| static

H5Oare_mdc_flushes_disabled retrieve the object's "cork" status.

Parameters

  object_id | IN: Identifier of the object to be flushed.

Returns
  the cork status TRUE if mdc flushes for the object is disabled FALSE if mdc flushes for the object is not disabled

## ◆ H5Oclose()

int H5Oclose | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5Oclose closes the group, dataset, or named datatype specified.

Parameters

  object_id | IN: Object identifier

Returns
  non-negative on success

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Ocopy()

synchronized native void H5Ocopy | ( | long | src_loc_id,
|  | String | src_name,
|  | long | dst_loc_id,
|  | String | dst_name,
|  | long | ocpypl_id,
|  | long | lcpl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Ocopy copies the group, dataset or named datatype specified from the file or group specified by source location to the destination location.

Parameters

  src_loc_id | IN: Object identifier indicating the location of the source object to be copied
  src_name | IN: Name of the source object to be copied
  dst_loc_id | IN: Location identifier specifying the destination
  dst_name | IN: Name to be assigned to the new copy
  ocpypl_id | IN: Object copy property list
  lcpl_id | IN: Link creation property list for the new hard link

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Odecr_refcount()

synchronized native void H5Odecr_refcount | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5Odecr_refcount decrements the hard link reference count for an object.

Parameters

  object_id | IN: Object identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Odisable_mdc_flushes()

synchronized native void H5Odisable_mdc_flushes | ( | long | object_id | ) |
| static

H5Odisable_mdc_flushes corks an object, keeping dirty entries associated with the object in the metadata cache.

Parameters

  object_id | IN: Identifier of the object to be corked.

## ◆ H5Oenable_mdc_flushes()

synchronized native void H5Oenable_mdc_flushes | ( | long | object_id | ) |
| static

H5Oenable_mdc_flushes uncorks an object, keeping dirty entries associated with the object in the metadata cache.

Parameters

  object_id | IN: Identifier of the object to be uncorked.

## ◆ H5Oexists_by_name()

synchronized native boolean H5Oexists_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oexists_by_name is used by an application to check that an existing link resolves to an object. Primarily, it is designed to check for dangling soft, external, or user-defined links.

Parameters

  loc_id | IN: File or group identifier
  obj_name | IN: Relative path to the object
  lapl_id | IN: Link access property list identifier

Returns
  Returns TRUE or FALSE if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oflush()

synchronized native void H5Oflush | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5Oflush causes all buffers associated with an object to be immediately flushed to disk without removing the data from the cache. object_id can be any named object associated with an HDF5 file including a dataset, a group, or a committed datatype.

Parameters

  object_id | IN: Identifier of the object to be flushed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Oget_comment()

synchronized native String H5Oget_comment | ( | long | obj_id | ) | throws HDF5LibraryException, IllegalArgumentException
| static

H5Oget_comment retrieves the comment for the specified object.

Parameters

  obj_id | IN: File or group identifier

Returns
  the comment

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Oget_comment_by_name()

synchronized native String H5Oget_comment_by_name | ( | long | loc_id,
|  | String | name,
|  | long | lapl_id ) throws HDF5LibraryException, IllegalArgumentException, NullPointerException
| static

H5Oget_comment_by_name retrieves the comment for an object.

Parameters

  loc_id | IN: Identifier of a file, group, dataset, or named datatype.
  name | IN: Relative name of the object whose comment is to be set or reset.
  lapl_id | IN: Link access property list identifier.

Returns
  the comment

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_info() [1/2]

H5O_info_t H5Oget_info | ( | long | loc_id | ) | throws HDF5LibraryException, NullPointerException
| static

H5Oget_info retrieves the metadata for an object specified by an identifier.

Parameters

  loc_id | IN: Identifier for target object

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_info() [2/2]

synchronized native H5O_info_t H5Oget_info | ( | long | loc_id,
|  | int | fields ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_info retrieves the metadata for an object specified by an identifier.

Parameters

  loc_id | IN: Identifier for target object
  fields | IN: Object fields to select

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_info_by_idx() [1/2]

synchronized native H5O_info_t H5Oget_info_by_idx | ( | long | loc_id,
|  | String | group_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | int | fields,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_info_by_idx retrieves the metadata for an object, identifying the object by an index position.

Parameters

  loc_id | IN: File or group identifier
  group_name | IN: Name of group, relative to loc_id, in which object is located
  idx_type | IN: Type of index by which objects are ordered
  order | IN: Order of iteration within index
  n | IN: Object to open
  fields | IN: Object fields to select
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_info_by_idx() [2/2]

H5O_info_t H5Oget_info_by_idx | ( | long | loc_id,
|  | String | group_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_info_by_idx retrieves the metadata for an object, identifying the object by an index position.

Parameters

  loc_id | IN: File or group identifier
  group_name | IN: Name of group, relative to loc_id, in which object is located
  idx_type | IN: Type of index by which objects are ordered
  order | IN: Order of iteration within index
  n | IN: Object to open
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_info_by_name() [1/2]

synchronized native H5O_info_t H5Oget_info_by_name | ( | long | loc_id,
|  | String | name,
|  | int | fields,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_info_by_name retrieves the metadata for an object, identifying the object by location and relative name.

Parameters

  loc_id | IN: File or group identifier specifying location of group in which object is located
  name | IN: Relative name of group
  fields | IN: Object fields to select
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_info_by_name() [2/2]

H5O_info_t H5Oget_info_by_name | ( | long | loc_id,
|  | String | name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_info_by_name retrieves the metadata for an object, identifying the object by location and relative name.

Parameters

  loc_id | IN: File or group identifier specifying location of group in which object is located
  name | IN: Relative name of group
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_native_info() [1/2]

H5O_native_info_t H5Oget_native_info | ( | long | loc_id | ) | throws HDF5LibraryException, NullPointerException
| static

H5Oget_native_info retrieves the native HDF5-specific metadata for an HDF5 object specified by an identifier. Native HDF5-specific metadata includes things like object header information and object storage layout information.

Parameters

  loc_id | IN: Identifier for target object

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_native_info() [2/2]

synchronized native H5O_native_info_t H5Oget_native_info | ( | long | loc_id,
|  | int | fields ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_native_info retrieves the native HDF5-specific metadata for an HDF5 object specified by an identifier. Native HDF5-specific metadata includes things like object header information and object storage layout information.

Parameters

  loc_id | IN: Identifier for target object
  fields | IN: Object fields to select

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_native_info_by_idx() [1/2]

synchronized native H5O_native_info_t H5Oget_native_info_by_idx | ( | long | loc_id,
|  | String | group_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | int | fields,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_native_info_by_idx retrieves the native HDF5-specific metadata for an HDF5 object, identifying the object by an index position. Native HDF5-specific metadata includes things like object header information and object storage layout information.

Parameters

  loc_id | IN: File or group identifier
  group_name | IN: Name of group, relative to loc_id, in which object is located
  idx_type | IN: Type of index by which objects are ordered
  order | IN: Order of iteration within index
  n | IN: Object to open
  fields | IN: Object fields to select
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_native_info_by_idx() [2/2]

H5O_native_info_t H5Oget_native_info_by_idx | ( | long | loc_id,
|  | String | group_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_native_info_by_idx retrieves the native HDF5-specific metadata for an HDF5 object, identifying the object by an index position. Native HDF5-specific metadata includes things like object header information and object storage layout information.

Parameters

  loc_id | IN: File or group identifier
  group_name | IN: Name of group, relative to loc_id, in which object is located
  idx_type | IN: Type of index by which objects are ordered
  order | IN: Order of iteration within index
  n | IN: Object to open
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_native_info_by_name() [1/2]

synchronized native H5O_native_info_t H5Oget_native_info_by_name | ( | long | loc_id,
|  | String | name,
|  | int | fields,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_native_info_by_name retrieves the native HDF5-specific metadata for an HDF5 object, identifying the object by location and relative name. Native HDF5-specific metadata includes things like object header information and object storage layout information.

Parameters

  loc_id | IN: File or group identifier specifying location of group in which object is located
  name | IN: Relative name of group
  fields | IN: Object fields to select
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oget_native_info_by_name() [2/2]

H5O_native_info_t H5Oget_native_info_by_name | ( | long | loc_id,
|  | String | name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oget_native_info_by_name retrieves the native HDF5-specific metadata for an HDF5 object, identifying the object by location and relative name. Native HDF5-specific metadata includes things like object header information and object storage layout information.

Parameters

  loc_id | IN: File or group identifier specifying location of group in which object is located
  name | IN: Relative name of group
  lapl_id | IN: Access property list identifier for the link pointing to the object (Not currently used; pass as H5P_DEFAULT.)

Returns
  object information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oincr_refcount()

synchronized native void H5Oincr_refcount | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5Oincr_refcount increments the hard link reference count for an object.

Parameters

  object_id | IN: Object identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Olink()

synchronized native void H5Olink | ( | long | obj_id,
|  | long | new_loc_id,
|  | String | new_name,
|  | long | lcpl_id,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Olink creates a new hard link to an object in an HDF5 file.

Parameters

  obj_id | IN: Object to be linked.
  new_loc_id | IN: File or group identifier specifying location at which object is to be linked.
  new_name | IN: Relative name of link to be created.
  lcpl_id | IN: Link creation property list identifier.
  lapl_id | IN: Access property list identifier.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oopen()

long H5Oopen | ( | long | loc_id,
|  | String | name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oopen opens a group, dataset, or named datatype specified by a location and a path name.

Parameters

  loc_id | IN: File or group identifier
  name | IN: Relative path to the object
  lapl_id | IN: Access property list identifier for the link pointing to the object

Returns
  an object identifier for the opened object

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Oopen_by_idx()

long H5Oopen_by_idx | ( | long | loc_id,
|  | String | group_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oopen_by_idx opens the nth object in the group specified.

Parameters

  loc_id | IN: File or group identifier
  group_name | IN: Name of group, relative to loc_id, in which object is located
  idx_type | IN: Type of index by which objects are ordered
  order | IN: Order of iteration within index
  n | IN: Object to open
  lapl_id | IN: Access property list identifier for the link pointing to the object

Returns
  an object identifier for the opened object

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | group_name is null.

## ◆ H5Oopen_by_token()

long H5Oopen_by_token | ( | long | loc_id,
|  | H5O_token_t | token ) throws HDF5LibraryException
| static

H5Oopen_by_token opens a group, dataset, or named datatype using its object token within an HDF5 file.

Parameters

  loc_id | IN: File or group identifier
  token | IN: Object's token in the file

Returns
  an object identifier for the opened object

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Orefresh()

synchronized native void H5Orefresh | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5Orefresh causes all buffers associated with an object to be cleared and immediately re-loaded with updated contents from disk. This function essentially closes the object, evicts all metadata associated with it from the cache, and then re-opens the object. The reopened object is automatically re-registered with the same ID. object_id can be any named object associated with an HDF5 file including a dataset, a group, or a committed datatype.

Parameters

  object_id | IN: Identifier of the object to be refreshed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Oset_comment()

synchronized native void H5Oset_comment | ( | long | obj_id,
|  | String | comment ) throws HDF5LibraryException
| static

H5Oset_comment sets the comment for the specified object.

Parameters

  obj_id | IN: Identifier of the target object
  comment | IN: The new comment.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

Deprecated
  As of HDF5 1.8 in favor of object attributes.

## ◆ H5Oset_comment_by_name()

synchronized native void H5Oset_comment_by_name | ( | long | loc_id,
|  | String | name,
|  | String | comment,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Oset_comment_by_name sets the comment for the specified object.

Parameters

  loc_id | IN: Identifier of a file, group, dataset, or named datatype.
  name | IN: Relative name of the object whose comment is to be set or reset.
  comment | IN: The new comment.
  lapl_id | IN: Link access property list identifier.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

Deprecated
  As of HDF5 1.8 in favor of object attributes.

## ◆ H5Ovisit() [1/2]

int H5Ovisit | ( | long | obj_id,
|  | int | idx_type,
|  | int | order,
|  | H5O_iterate_t | op,
|  | H5O_iterate_opdata_t | op_data ) throws HDF5LibraryException, NullPointerException
| static

H5Ovisit recursively visits all objects accessible from a specified object.

Parameters

  obj_id | IN: Identifier of the object at which the recursive iteration begins.
  idx_type | IN: Type of index
  order | IN: Order of iteration within index
  op | IN: Callback function passing data regarding the object to the calling application
  op_data | IN: User-defined pointer to data required by the application for its processing of the object

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Ovisit() [2/2]

synchronized native int H5Ovisit | ( | long | obj_id,
|  | int | idx_type,
|  | int | order,
|  | H5O_iterate_t | op,
|  | H5O_iterate_opdata_t | op_data,
|  | int | fields ) throws HDF5LibraryException, NullPointerException
| static

H5Ovisit recursively visits all objects accessible from a specified object.

Parameters

  obj_id | IN: Identifier of the object at which the recursive iteration begins.
  idx_type | IN: Type of index
  order | IN: Order of iteration within index
  op | IN: Callback function passing data regarding the object to the calling application
  op_data | IN: User-defined pointer to data required by the application for its processing of the object
  fields | IN: Object fields to select

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Ovisit_by_name() [1/2]

synchronized native int H5Ovisit_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | H5O_iterate_t | op,
|  | H5O_iterate_opdata_t | op_data,
|  | int | fields,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Ovisit_by_name recursively visits all objects starting from a specified object.

Parameters

  loc_id | IN: File or group identifier
  obj_name | IN: Relative path to the object
  idx_type | IN: Type of index
  order | IN: Order of iteration within index
  op | IN: Callback function passing data regarding the object to the calling application
  op_data | IN: User-defined pointer to data required by the application for its processing of the object
  fields | IN: Object fields to select
  lapl_id | IN: Link access property list identifier

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Ovisit_by_name() [2/2]

int H5Ovisit_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | H5O_iterate_t | op,
|  | H5O_iterate_opdata_t | op_data,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Ovisit_by_name recursively visits all objects starting from a specified object.

Parameters

  loc_id | IN: File or group identifier
  obj_name | IN: Relative path to the object
  idx_type | IN: Type of index
  order | IN: Order of iteration within index
  op | IN: Callback function passing data regarding the object to the calling application
  op_data | IN: User-defined pointer to data required by the application for its processing of the object
  lapl_id | IN: Link access property list identifier

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.